<?xml version="1.0" encoding="utf-8"?>
<!--
  Copyright (c) 2000-2001 Jonathan Borden All Rights Reserved
  This file is distributed under the Open Healthcare License
  http://www.openhealth.org/license/
  Author: Jonathan Borden

  Contains:
    XML 1.0
    XML Names
    URI

  Contributers:
      sam@uchicago.edu (2 productions, 16,17), use of "expand"
    barton.stanley@innovision.com (errors)

  Comments welcome to:
    jonathan@openhealth.org
-->
<rdf:RDF
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#">
<rdf:Description
  rdf:about="http://www.w3.org/TR/REC-xml"
  xmlns:p="http://www.openhealth.org/EBNF"
>
<production name="document" p="1">
 <Seq>
 <prolog />
 <element />
 <Misc occurs="*"/>
 </Seq>
</production>
<production name="characters" p="2">
 <Alt>
   <c hex="9" /><c hex="A" /><c hex="D" />
   <c pattern="[#x20-#xD7FF]"/>
   <c pattern="[#xE000-#xFFFD]" />
   <c pattern="[#x10000-#x10FFFF]" />
 </Alt>
</production>
<production name="S" p="3">
 <Alt occurs="+">
 <c hex="20" /><c hex="9" />
 <c hex="D" /><c hex="A" />
 </Alt>
</production>
<!-- Names and tokens -->
<production name="NameChar" p="4">
  <Alt>
    <Letter /><Digit />
    <c char="." /><c char="-"/><c char="_"/><c char=":" />
    <CombiningChar/><Extender/>
  </Alt>
</production>
<production name="Name" p="5">
 <Seq>
  <Alt><Letter/><c char="_"/><c char=":"/></Alt>
  <NameChar occurs="*"/>
 </Seq>
</production>
<!-- Change productions [6] Names and [8] Nmtokens to use #x20 (a single space character) instead of S:
"[6] Names ::= Name (#x20 Name)*"
"[8] Nmtokens ::= Nmtoken (#x20 Nmtoken)*"
-->
<production name="Names" p="6">
 <Seq><Name/><Alt occurs="*"><c char="#x20"/><Name/></Alt></Seq>
</production>
<production name="Nmtoken" p="7">
  <NameChar occurs="+"/>
</production>
<production name="Nmtokens" p="8">
 <Seq><Nmtoken/><Alt occurs="*"><c char="#x20"/><Nmtoken/></Alt></Seq>
</production>
<!-- Entities and Literals-->
<production name="EntityValue" p="9">
  <Alt>
    <Seq>
      <c char='"'/>
      <Alt occurs="*">
       <c pattern='[^%&amp;"]' />
       <PEReference/>
       <Reference/>
      </Alt>
      <c char='"'/>
    </Seq>
    <Seq>
      <c char="'"/>
      <Alt occurs="*">
       <c pattern="[^%&amp;']" />
       <PEReference/>
       <Reference/>
      </Alt>
      <c char="'"/>
    </Seq>
  </Alt>
</production>
<production name="AttValue" p="10">
  <Alt>
    <Seq>
      <c char='"'/>
      <Alt occurs="*">
       <c pattern='[^&lt;&amp;"]' />
       <Reference/>
      </Alt>
      <c char='"'/>
    </Seq>
    <Seq>
      <c char="'"/>
      <Alt occurs="*">
       <c pattern="[^&lt;&amp;']" />
       <Reference/>
      </Alt>
      <c char="'"/>
    </Seq>
  </Alt>
</production>
<production name="SystemLiteral" p="11">
  <Alt>
    <Seq>
      <c char='"'/>
      <c occurs="*" pattern='[^"]' />
      <c char='"'/>
    </Seq>
    <Seq>
      <c char="'"/>
       <c occurs="*" pattern="[^']" />
      <c char="'"/>
    </Seq>
  </Alt>
</production>
<production name="PubidLiteral" p="12">
<Alt><Seq><c char='"'/><Alt occurs="*"><PubidChar/><c char="'"/></Alt> <c char='"'/></Seq>
<Seq> <c char="'"/><Alt occurs="*"><PubidChar/> <c char='"'/></Alt><c char="'"/>
</Seq>
</Alt>
</production>
<!-- note this is different than in XML 1.0  because "'" is not included - see above-->
<production name="PubidChar" p="13">
<Alt>
  <c hex="20"/>
  <c hex="D"/>
  <c hex="A"/>
  <c pattern="[a-zA-Z0-9]"/>
  <c pattern="[-()+,./:=?;!*#@$_%]"/>
</Alt>
</production>
<production name="CharData" p="14">
<c occurs="*" pattern="[^&lt;&amp;]" >
  <exclude>
    <Seq>
     <c occurs="*" pattern="[^&lt;&amp;]" />
     <string value="]]>" />
     <c occurs="*" pattern="[^&lt;&amp;]" />
    </Seq>
  </exclude>
</c>
</production>
<production name="Comment" p="15">
<Seq>
 <string value="&lt;!--"/>
  <Alt occurs="*">
    <Char>
    <exclude>
      <c char="-"/>
    </exclude>
  </Char>
  <Seq>
    <c char="-"/>
    <Char>
     <exclude><c char="-"/></exclude>
    </Char>
  </Seq>
  </Alt>
 <string value="-->"/>
</Seq>
</production>

<production name="PI" p="16">
  <Seq>
    <c char="&lt;"/><c char="?"/>
    <PITarget/>
    <Seq occurs="?">
      <S />
    <Seq>
     <!--<Char repeat="*" rexexp="[^?>]" />-->
     <Char occurs="*">
         <exclude>
          <Seq>
         <Char occurs="*"/>
         <c char="?"/><c char="&gt;"/>
         <Char occurs="*"/>
       </Seq>
        </exclude>
     </Char>
     </Seq>
     <c char="?"/><c char=">"/>
   </Seq>
 </Seq>
</production>
<production name="PITarget" p="17">
  <Name>
   <exclude>
  <Seq><Alt>
    <c char="X"/>
    <c char="x"/></Alt>
    <Alt><c char="M"/>
    <c char="m"/></Alt>
    <Alt><c char="L"/>
    <c char="l"/></Alt>
  </Seq>
   </exclude>
  </Name>
</production>
<production name="CDSect" p="18">
  <Seq><CDStart /><CData /><CDEnd /></Seq>
</production>
<production name="CDStart" p="19">
  <string value="&lt;![CDATA[" />
</production>
<production name="CData" p="20">
 <Char occurs="*">
  <exclude>
    <Seq>
     <Char occurs="*"/>
     <string value="]]>"/>
     <Char occurs="*"/>
    </Seq>
  </exclude>
 </Char>
</production>
<production name="CDEnd" p="21">
  <string value="]]>" />
</production>

<production name="prolog" p="22">
 <Seq>
 <XMLDecl occurs="?"/>
 <Misc occurs="*"/>
 <Seq>
   <doctypedecl /><Misc occurs="*"/>
 </Seq>
 </Seq>
</production>
<production name="XMLDecl" p="23">
 <Seq>
 <string value="&lt;?xml"/>
 <VersionInfo/>
 <EncodingDecl occurs="?"/>
 <SDDecl occurs="?"/>
 <S occurs="?"/>
 <string value="?>"/>
 </Seq>
</production>
<production name="VersionInfo" p="24">
 <Seq>
  <S/>
  <string value="version"/>
  <Eq/>
  <Alt><Seq><c char="'"/><VersionNum/><c char="'"/></Seq>
    <Seq><c char='"'/><VersionNum/><c char='"'/></Seq>
  </Alt>
 </Seq>
</production>
<production name="Eq" p="25">
<Seq><S occurs="?"/><c char="="/><S occurs="?"/></Seq>
</production>

<production name="VersionNum" p="26">
<Alt occurs="+">
  <c pattern="[a-zA-Z0-9_.:]"/><c char="-"/>
</Alt>
</production>
<production name="Misc" p="27">
 <Alt><Comment /><PI /><S /></Alt>
</production>
<!--
[28]  doctypedecl ::=  '<!DOCTYPE' S Name (S ExternalID)? S? ('[' (markupdecl | PEReference | S)* ']' S?)? '>' [  VC: Root Element Type ]
-->
<production name="doctypedecl" p="28" VC="Root_Element_Type">
 <Seq>
  <string value="&lt;!DOCTYPE" />
  <S />
  <Name />
  <Seq occurs="?">
    <S /><ExternalID />
  </Seq>
  <S occurs="?"/>
  <Seq occurs="?">
   <c char="["/>
   <Alt occurs="*">
    <markupdecl />
  <PEReference />
  <S />
   </Alt>
   <c char="]"/>
  </Seq>
 </Seq>
</production>
<!--
[29]  markupdecl ::=  elementdecl | AttlistDecl | EntityDecl | NotationDecl | PI | Comment  [  VC: Proper Declaration/PE Nesting ]
    [  WFC: PEs in Internal Subset ]
-->
<production name="markupdecl" p="29" VC="Proper_Declaration_PE_Nesting" WFC="PEs_in_Internal_Subset">
  <Alt>
    <elementdecl />
    <AttlistDecl />
    <EntityDecl />
    <NotationDecl />
    <P1 />
    <Comment />
  </Alt>
</production>
<!--
External Subset
[30]  extSubset ::=  TextDecl? extSubsetDecl
[31]  extSubsetDecl ::=  ( markupdecl | conditionalSect | PEReference | S )*
-->
<production name="extSubset" p="30">
<Seq><TextDecl occurs="?"/><extSubsetDecl /></Seq>
</production>
<production name="extSubsetDecl" p="31">
<Alt occurs="*">
  <markupdecl/>
  <conditionSect/>
  <PEReference />
  <S />
</Alt>
</production>
<!--
Standalone Document Declaration
[32]  SDDecl ::=  S 'standalone' Eq (("'" ('yes' | 'no') "'") | ('"' ('yes' | 'no') '"'))  [  VC: Standalone Document Declaration ]
-->
<production name="SDDecl" p="32">
<Seq>
  <S />
  <string value="standalone"/>
  <Eq />
  <Alt>
    <Seq>
      <c char="'"/>
        <Alt>
          <string value="yes"/>
          <string value="no"/>
        </Alt>
      <c char="'"/>
    </Seq>
    <Seq>
      <c char='"'/>
        <Alt>
          <string value="yes"/>
          <string value="no"/>
        </Alt>
      <c char='"'/>
    </Seq>
  </Alt>
</Seq>
</production>
<!--
Language Identification
[33]  LanguageID ::=  Langcode ('-' Subcode)*
[34]  Langcode ::=  ISO639Code |  IanaCode |  UserCode
[35]  ISO639Code ::=  ([a-z] | [A-Z]) ([a-z] | [A-Z])
[36]  IanaCode ::=  ('i' | 'I') '-' ([a-z] | [A-Z])+
[37]  UserCode ::=  ('x' | 'X') '-' ([a-z] | [A-Z])+
[38]  Subcode ::=  ([a-z] | [A-Z])+
-->
<production name="LanguageID" p="33">
<Seq>
  <Langcode/>
  <Seq occurs="*"><c char="-"/><Subcode/></Seq>
</Seq>
</production>
<production name="Langcode" p="34">
 <Alt><ISO639Code/><IanaCode/><UserCode/></Alt>
</production>
<production name="ISO639Code" p="35">
 <Seq>
  <Alt>
    <c pattern="[a-z]"/>
    <c pattern="[A-Z]"/>
  </Alt>
  <Alt>
    <c pattern="[a-z]"/>
    <c pattern="[A-Z]"/>
  </Alt>
 </Seq>
</production>
<production name="IanaCode" p="36">
 <Seq>
  <Alt>
    <c char="i"/>
    <c char="I"/>
  </Alt>
  <c char="-"/>
  <Alt occurs="+">
    <c pattern="[a-z]"/>
    <c pattern="[A-Z]"/>
  </Alt>
 </Seq>
</production>
<production name="UserCode" p="37">
 <Seq>
  <Alt>
    <c char="x"/>
    <c char="X"/>
  </Alt>
  <c char="-"/>
  <Alt occurs="+">
    <c pattern="[a-z]"/>
    <c pattern="[A-Z]"/>
  </Alt>
 </Seq>
</production>
<production name="SubCode" p="38">
  <Alt occurs="+">
    <c pattern="[a-z]"/>
    <c pattern="[A-Z]"/>
  </Alt>
</production>

<!--
Element
[39]  element ::=  EmptyElemTag
   | STag content ETag [  WFC: Element Type Match ]
    [  VC: Element Valid ]
-->
<production name="element" p="39">
 <Alt>
  <EmptyElemTag />
  <Seq WFC="Element_Type_Match" VC="Element_Valid">
   <STag /><content /><ETag />
  </Seq>
 </Alt>
</production>
<!--
Start-tag
[40]  STag ::=  '<' Name (S Attribute)* S? '>' [  WFC: Unique Att Spec ]
[41]  Attribute ::=  Name Eq AttValue [  VC: Attribute Value Type ]
    [  WFC: No External Entity References ]
    [  WFC: No < in Attribute Values ]
-->
<production name="STag" p="40" WFC="Unique_Att_Spec">
<Seq>
  <c char="&lt;"/>
  <Name />
  <Seq occurs="*">
    <S/>
    <Attribute/>
  </Seq>
  <S occurs="?"/>
  <c char=">"/>
</Seq>
</production>
<!--
  Add a validity constraint to production [41] as follows: "Validity Constraint: Valid xml:lang: if the Name in an attribute specification is xml:lang, then the value, after normalization as an NMTOKEN, must match production [33]".
-->
<production name="Attribute" p="41" VC="Attribute_Value_Type Valid_xml_lang" WFC="No_External_Entity_References">
<Seq>
  <Name/>
  <Eq/>
  <AttValue>
    <exclude>
      <c char="&lt;"/>
    </exclude>
  </AttValue>
</Seq>
</production>
<!--
End-tag
[42]  ETag ::=  '</' Name S? '>'
-->
<production name="ETag" p="42">
<Seq>
  <c char="&lt;"/>
  <c char="/"/>
  <Name />
  <S occurs="?" />
  <c char=">"/>
</Seq>
</production>
<!--
Content of Elements
[43]  content ::=  (element | CharData | Reference | CDSect | PI | Comment)*
Tags for Empty Elements
[44]  EmptyElemTag ::=  '<' Name (S Attribute)* S? '/>' [  WFC: Unique Att Spec ]

errata:
[43] content ::= CharData? ((element | Reference | CDSect | PI | Comment) CharData?)*
-->
<production name="content" p="43">
<Seq>
  <CharData occurs="?"/>
  <Seq occurs="*">
   <Alt>
    <element/>
    <Reference />
    <CDSect />
    <PI />
    <Comment />
   </Alt>
   <CharData />
  </Seq>
</Seq>
</production>
<production name="EmptyElemTag" p="44"
  WFC="Unique_Att_Spec">
  <Seq>
    <c char="&lt;"/>
    <Name/>
    <Seq occurs="*">
      <S/>
      <Attribute/>
    </Seq>
    <S occurs="?"/>
    <c char="/"/>
    <c char=">"/>
  </Seq>
</production>

<!--
Element Type Declaration
[45]  elementdecl ::=  '<!ELEMENT' S Name S contentspec S? '>' [  VC: Unique Element Type Declaration ]
[46]  contentspec ::=  'EMPTY' | 'ANY' | Mixed | children
-->
<production name="elementdecl" p="45"
  VC="Unique_Element_Type_Declaration">
<Seq>
  <string value="&lt;!ELEMENT"/>
  <S/>
  <Name/>
  <S/>
  <contentSpec/>
  <S occurs="?"/>
  <c char=">"/>
</Seq>
</production>
<production name="contentspec" p="46"
  VC="Unique_Element_Type_Declaration">
<Alt>
  <string value="EMPTY"/>
  <string value="ANY"/>
  <Mixed/>
  <children/>
</Alt>
</production>
<!--
Element-content Models
[47]  children ::=  (choice | seq) ('?' | '*' | '+')?
[48]  cp ::=  (Name | choice | seq) ('?' | '*' | '+')?
-->
<production name="children" p="47"
  >
<Seq>
 <Alt>
  <choice/>
  <seq/>
 </Alt>
 <Alt occurs="?">
  <c char="*"/>
  <c char="+"/>
  <c char="?"/>
 </Alt>
</Seq>
</production>
<production name="cp" p="48">
<Seq>
 <Alt>
  <Name />
  <choice/>
  <seq/>
 </Alt>
 <Alt occurs="?">
  <c char="*"/>
  <c char="+"/>
  <c char="?"/>
 </Alt>
</Seq>
</production>
<!--
[49]  choice ::=  '(' S? cp ( S? '|' S? cp )* S? ')' [  VC: Proper Group/PE Nesting ]
[50]  seq ::=  '(' S? cp ( S? ',' S? cp )* S? ')' [  VC: Proper Group/PE Nesting ]
errata:
Change the grammar for 'choice' in production [49] from:
"choice ::= '(' S? cp ( S? '|' S? cp )* S? ')'"
to:
"choice ::= '(' S? cp ( S? '|' S? cp )+ S? ')'"
(which amounts to changing the * into a +).
-->
<production name="choice" p="49" VC="Proper_Group_PE_Nesting">
<Seq>
 <c char="("/>
 <S occurs="?"/>
 <cp/>
 <Seq occurs="+">
  <S occurs="?"/>
  <c char="|"/>
  <S occurs="?"/>
  <cp/>
 </Seq>
 <S occurs="?"/>
 <c char=")"/>
</Seq>
</production>
<production name="seq" p="50" VC="Proper_Group_PE_Nesting">
<Seq>
 <c char="("/>
 <S occurs="?"/>
 <cp/>
 <Seq occurs="*">
  <S occurs="?"/>
  <c char=","/>
  <S occurs="?"/>
  <cp/>
 </Seq>
 <S occurs="?"/>
 <c char=")"/>
</Seq>
</production>
<!--
Mixed-content Declaration
[51]  Mixed ::=  '(' S? '#PCDATA' (S? '|' S? Name)* S? ')*'
   | '(' S? '#PCDATA' S? ')'  [  VC: Proper Group/PE Nesting ]
    [  VC: No Duplicate Types ]
Attribute-list Declaration
[52]  AttlistDecl ::=  '<!ATTLIST' S Name AttDef* S? '>'
[53]  AttDef ::=  S Name S AttType S DefaultDecl
-->
<production name="Mixed" p="51" VC="Proper_Group_PE_Nesting No_Duplicate_Types">
<Seq>
 <c char="("/>
 <S occurs="?"/>
 <string value="#PCDATA"/>
 <Seq occurs="*">
  <S occurs="?"/>
  <c char="|"/>
  <S occurs="?"/>
  <Name/>
 </Seq>
 <S occurs="?"/>
 <c char=")"/>
 <c char="*"/>
</Seq>
</production>
<production name="AttlistDecl" p="52">
<Seq>
  <string value="&lt;ATTLIST"/>
  <S/>
  <Name />
  <AttDef occurs="*"/>
  <S occurs="?"/>
  <c char=">"/>
</Seq>
</production>
<production name="AttDef" p="53">
<Seq>
  <S/>
  <Name />
  <S/>
  <AttType/>
  <S/>
  <DefaultDecl/>
</Seq>
</production>
<!--
Attribute Types
[54]  AttType ::=  StringType | TokenizedType | EnumeratedType
[55]  StringType ::=  'CDATA'
[56]  TokenizedType ::=  'ID' [  VC: ID ]
    [  VC: One ID per Element Type ]
    [  VC: ID Attribute Default ]
   | 'IDREF' [  VC: IDREF ]
   | 'IDREFS' [  VC: IDREF ]
   | 'ENTITY' [  VC: Entity Name ]
   | 'ENTITIES' [  VC: Entity Name ]
   | 'NMTOKEN' [  VC: Name Token ]
   | 'NMTOKENS' [  VC: Name Token ]
-->
<production name="AttType" p="54">
<Alt>
  <StringType/>
  <TokenizedType/>
  <EnumeratedType/>
</Alt>
</production>
<production name="StringType" p="55">
  <string value="CDATA"/>
</production>
<production name="TokenizedType" p="56">
<Alt>
  <string value="ID" VC="ID One_ID_per_Element_Type ID_Attribute_Default"/>
  <string value="IDREF" VC="IDREF"/>
  <string value="IDREFS" VC="IDREF"/>
  <string value="ENTITY" VC="Entity_Name"/>
  <string value="ENTITIES" VC="Entity_Name"/>
  <string value="NMTOKEN" VC="Name_Token"/>
  <string value="NMTOKENS" VC="Name_Token"/>
</Alt>
</production>
<!--
Enumerated Attribute Types
[57]  EnumeratedType ::=  NotationType | Enumeration
[58]  NotationType ::=  'NOTATION' S '(' S? Name (S? '|' S? Name)* S? ')'  [  VC: Notation Attributes ]
[59]  Enumeration ::=  '(' S? Nmtoken (S? '|' S? Nmtoken)* S? ')' [  VC: Enumeration ]
-->
<production name="EnumeratedType" p="57">
<Alt>
  <NotationType/>
  <Enumeration/>
</Alt>
</production>
<production name="NotationType" p="58" VC="Notation Non_empty_element One_Notation_per_Element_Type">
<Seq>
  <string value="NOTATION"/>
  <S/>
  <c char="("/>
  <S occurs="?"/>
  <Name/>
  <Seq occurs="*">
    <S occurs="?"/>
    <c char="|"/>
    <S occurs="?"/>
    <Name/>
  </Seq>
  <S occurs="?"/>
  <c char=")"/>
</Seq>
</production>
<!--
[58] as follows: "Validity Constraint: One Notation per Element Type: No element type may have more than one NOTATION attribute specified."
Validity constraint: Non-empty element
For compatibility, an attribute of type NOTATION may not be declared on an element declared EMPTY.
-->
<production name="Enumeration" p="59" VC="Enumeration">
<Seq>
  <c char="("/>
  <S occurs="?"/>
  <Nmtoken/>
  <Seq occurs="*">
    <S occurs="?"/>
    <c char="|"/>
    <S occurs="?"/>
    <Nmtoken/>
  </Seq>
  <S occurs="?"/>
  <c char=")"/>
</Seq>
</production>
<!--
Attribute Defaults
[60]  DefaultDecl ::=  '#REQUIRED' | '#IMPLIED'
   | (('#FIXED' S)? AttValue) [  VC: Required Attribute ]
    [  VC: Attribute Default Legal ]
    [  WFC: No < in Attribute Values ]
    [  VC: Fixed Attribute Default ]
-->
<production name="DefaultDecl" p="60"
  VC="Required_Attribute Attribute_Default_Legal Fixed_Attribute_Default"
  WFC="No_lt_in_Attribute_Values">
  <Alt>
    <string value="#REQUIRED"/>
    <string value="#IMPLIED"/>
    <Seq>
      <Seq occurs="?">
        <string value="#FIXED"/>
        <S/>
      </Seq>
      <AttValue/>
    </Seq>
  </Alt>
</production>
<!--
Conditional Section
[61]  conditionalSect ::=  includeSect | ignoreSect
[62]  includeSect ::=  '<![' S? 'INCLUDE' S? '[' extSubsetDecl ']]>'
[63]  ignoreSect ::=  '<![' S? 'IGNORE' S? '[' ignoreSectContents* ']]>'
[64]  ignoreSectContents ::=  Ignore ('<![' ignoreSectContents ']]>' Ignore)*
[65]  Ignore ::=  Char* - (Char* ('<![' | ']]>') Char*)
-->
<production name="conditionalSect" p="61">
<Alt>
  <includeSect/>
  <ignoreSect/>
</Alt>
</production>
<production name="includeSect" p="62"
  VC="Proper_Conditional_Section_PE_Nesting">
<Seq>
  <string value="&lt;!["/>
  <S occurs="?"/>
  <string value="INCLUDE"/>
  <S occurs="?"/>
  <c char="["/>
  <extSubsetDecl/>
  <string value="]]>"/>
</Seq>
</production>
<production name="ignoreSect" p="63"
  VC="Proper_Conditional_Section_PE_Nesting">
<Seq>
  <string value="&lt;!["/>
  <S occurs="?"/>
  <string value="IGNORE"/>
  <S occurs="?"/>
  <c char="["/>
  <ignoreSectContents occurs="*"/>
  <string value="]]>"/>
</Seq>
</production>
<!--
Validity Constraint: Proper Conditional Section/PE Nesting.
If any of the <![, [, or ]]> of a conditional section is contained in the replacement text for a parameter-entity reference, all of them must be contained in the same replacement text.
-->
<production name="ignoreSectContents" p="64">
<Seq>
  <Ignore/>
  <Seq occurs="*">
   <string value="&lt;!["/>
   <ignoreSectContents/>
   <string value="]]>"/>
   <Ignore/>
  </Seq>
</Seq>
</production>
<production name="Ignore" p="65">
  <Char occurs="*">
    <exclude>
      <Seq>
        <Char occurs="*"/>
          <Alt>
            <string value="&lt;!["/>
            <string value="]]>"/>
          </Alt>
        <Char occurs="*"/>
      </Seq>
    </exclude>
  </Char>
</production>
<!--
Character Reference
[66]  CharRef ::=  '&#' [0-9]+ ';'
   | '&#x' [0-9a-fA-F]+ ';' [  WFC: Legal Character ]
Entity Reference
[67]  Reference ::=  EntityRef | CharRef
[68]  EntityRef ::=  '&' Name ';' [  WFC: Entity Declared ]
    [  VC: Entity Declared ]
    [  WFC: Parsed Entity ]
    [  WFC: No Recursion ]
[69]  PEReference ::=  '%' Name ';' [  VC: Entity Declared ]
    [  WFC: No Recursion ]
    [  WFC: In DTD ]
-->
<production name="CharRef" p="66" WFC="Legal_Character">
 <Alt>
  <Seq>
    <string value="&amp;#"/>
    <c occurs="+" pattern="[0-9]"/>
    <c char=";"/>
  </Seq>
  <Seq>
    <string value="&amp;#x"/>
    <c occurs="+" pattern="[0-9a-fA-F]"/>
    <c char=";"/>
  </Seq>
 </Alt>
</production>
<production name="Reference" p="67">
  <Alt><EntityRef/><CharRef/></Alt>
</production>
<production name="EntityRef" p="68"
  WFC="Entity_Declared Parsed_Entity No_Recursion"
  VC="Entity_Declared">
  <Seq><c char="&amp;"/><Name/><c char=";"/></Seq>
</production>
<production name="PEReference" p="69"
  WFC="In_DTD No_Recursion"
  VC="Entity_Declared">
  <Seq><c char="%"/><Name/><c char=";"/></Seq>
</production>
<!--
Entity Declaration
[70]  EntityDecl ::=  GEDecl | PEDecl
[71]  GEDecl ::=  '<!ENTITY' S Name S EntityDef S? '>'
[72]  PEDecl ::=  '<!ENTITY' S '%' S Name S PEDef S? '>'
[73]  EntityDef ::=  EntityValue | (ExternalID NDataDecl?)
[74]  PEDef ::=  EntityValue | ExternalID
-->
<production name="EntityDecl" p="70">
  <Alt><GEDecl/><PEDecl/></Alt>
</production>
<production name="GEDecl" p="71">
  <Seq>
    <string value="&lt;!ENTITY"/>
    <S/>
    <Name/>
    <EntityDef/>
    <S occurs="?"/>
    <c char=">"/>
  </Seq>
</production>
<production name="PEDecl" p="72">
  <Seq>
    <string value="&lt;!ENTITY"/>
    <S/>
    <c char="%"/>
    <S/>
    <Name/>
    <S/>
    <PEDef/>
    <S occurs="?"/>
    <c char=">"/>
  </Seq>
</production>
<production name="EntityDef" p="73">
 <Alt>
  <EntityValue/>
  <Seq>
    <ExternalID/>
    <NDataDecl occurs="?"/>
  </Seq>
 </Alt>
</production>
<production name="PEDef" p="74">
 <Alt>
  <EntityValue/>
  <ExternalID/>
 </Alt>
</production>
<!--
External Entity Declaration
[75]  ExternalID ::=  'SYSTEM' S SystemLiteral
   | 'PUBLIC' S PubidLiteral S SystemLiteral
[76]  NDataDecl ::=  S 'NDATA' S Name [  VC: Notation Declared ]
-->
<production name="ExternalID" p="75">
 <Alt>
  <Seq>
    <string value="SYSTEM"/>
    <S/>
    <SystemLiteral/>
  </Seq>
  <Seq>
    <string value="PUBLIC"/>
    <S/>
    <PubidLiteral/>
    <S/>
    <SystemLiteral/>
    <ExternalID/>
  </Seq>
 </Alt>
</production>
<production name="NDataDecl" p="76" VC="Notation_Declared">
 <Seq>
  <S/>
  <string value="NDATA"/>
  <S/>
  <Name/>
 </Seq>
</production>
<!--
Text Declaration
[77]  TextDecl ::=  '<?xml' VersionInfo? EncodingDecl S? '?>'
Well-Formed External Parsed Entity
[78]  extParsedEnt ::=  TextDecl? content
[79]  extPE ::=  TextDecl? extSubsetDecl
Encoding Declaration
[80]  EncodingDecl ::=  S 'encoding' Eq ('"' EncName '"' |  "'" EncName "'" )
[81]  EncName ::=  [A-Za-z] ([A-Za-z0-9._] | '-')* /*  Encoding name contains only Latin characters */
-->
<production name="TextDecl" p="77">
 <Seq>
  <string value="&lt;?xml"/>
  <VersionInfo occurs="?"/>
  <EncodingDecl/>
  <S occurs="?"/>
  <string value="?>"/>
 </Seq>
</production>
<production name="extParsedEnt" p="78">
 <Seq>
  <TextDecl occurs="?"/>
  <content/>
 </Seq>
</production>
<production name="extPE" p="79">
 <Seq>
  <TextDecl occurs="?"/>
  <extSubsetDecl/>
 </Seq>
</production>
<production name="EncodingDecl" p="80">
 <Seq>
  <S/>
  <string value="encoding"/>
  <Eq/>
  <Alt>
    <Seq>
      <c char='"'/>
      <EncName/>
      <c char='"'/>
    </Seq>
    <Seq>
      <c char="'"/>
      <EncName/>
      <c char="'"/>
    </Seq>
  </Alt>
 </Seq>
</production>
<production name="EncName" p="81">
 <Seq>
  <c pattern="[A-Za-z]"/>
  <Alt occurs="*">
    <c pattern="[A-Za-z0-9._]"/>
    <c char="-"/>
  </Alt>
 </Seq>
</production>
<!--
Notation Declarations
[82]  NotationDecl ::=  '<!NOTATION' S Name S (ExternalID |  PublicID) S? '>'
[83]  PublicID ::=  'PUBLIC' S PubidLiteral

Validity Constraint: Unique Notation Name: only one notation declaration can declare a given Name
-->
<production name="NotationDecl" p="82"
    VC="Unique_Notation_Name">
  <Seq>
    <string value="&lt;!NOTATION"/>
    <S/>
    <Name/>
    <S/>
    <Alt>
      <ExternalID/>
      <PublicID/>
    </Alt>
    <S occurs="?"/>
    <c char=">"/>
  </Seq>
</production>
<production name="PublicID" p="83">
  <Seq>
    <string value="PUBLIC"/>
    <S/>
    <PubidLiteral/>
  </Seq>
</production>

<!--
Characters
[84]  Letter ::=  BaseChar | Ideographic
[85]  BaseChar ::=  [#x0041-#x005A] | [#x0061-#x007A] | [#x00C0-#x00D6] | [#x00D8-#x00F6] | [#x00F8-#x00FF] | [#x0100-#x0131] | [#x0134-#x013E] | [#x0141-#x0148] | [#x014A-#x017E] | [#x0180-#x01C3] | [#x01CD-#x01F0] | [#x01F4-#x01F5] | [#x01FA-#x0217] | [#x0250-#x02A8] | [#x02BB-#x02C1] | #x0386 | [#x0388-#x038A] | #x038C | [#x038E-#x03A1] | [#x03A3-#x03CE] | [#x03D0-#x03D6] | #x03DA | #x03DC | #x03DE | #x03E0 | [#x03E2-#x03F3] | [#x0401-#x040C] | [#x040E-#x044F] | [#x0451-#x045C] | [#x045E-#x0481] | [#x0490-#x04C4] | [#x04C7-#x04C8] | [#x04CB-#x04CC] | [#x04D0-#x04EB] | [#x04EE-#x04F5] | [#x04F8-#x04F9] | [#x0531-#x0556] | #x0559 | [#x0561-#x0586] | [#x05D0-#x05EA] | [#x05F0-#x05F2] | [#x0621-#x063A] | [#x0641-#x064A] | [#x0671-#x06B7] | [#x06BA-#x06BE] | [#x06C0-#x06CE] | [#x06D0-#x06D3] | #x06D5 | [#x06E5-#x06E6] | [#x0905-#x0939] | #x093D | [#x0958-#x0961] | [#x0985-#x098C] | [#x098F-#x0990] | [#x0993-#x09A8] | [#x09AA-#x09B0] | #x09B2 | [#x09B6-#x09B9] | [#x09DC-#x09DD] | [#x09DF-#x09E1] | [#x09F0-#x09F1] | [#x0A05-#x0A0A] | [#x0A0F-#x0A10] | [#x0A13-#x0A28] | [#x0A2A-#x0A30] | [#x0A32-#x0A33] | [#x0A35-#x0A36] | [#x0A38-#x0A39] | [#x0A59-#x0A5C] | #x0A5E | [#x0A72-#x0A74] | [#x0A85-#x0A8B] | #x0A8D | [#x0A8F-#x0A91] | [#x0A93-#x0AA8] | [#x0AAA-#x0AB0] | [#x0AB2-#x0AB3] | [#x0AB5-#x0AB9] | #x0ABD | #x0AE0 | [#x0B05-#x0B0C] | [#x0B0F-#x0B10] | [#x0B13-#x0B28] | [#x0B2A-#x0B30] | [#x0B32-#x0B33] | [#x0B36-#x0B39] | #x0B3D | [#x0B5C-#x0B5D] | [#x0B5F-#x0B61] | [#x0B85-#x0B8A] | [#x0B8E-#x0B90] | [#x0B92-#x0B95] | [#x0B99-#x0B9A] | #x0B9C | [#x0B9E-#x0B9F] | [#x0BA3-#x0BA4] | [#x0BA8-#x0BAA] | [#x0BAE-#x0BB5] | [#x0BB7-#x0BB9] | [#x0C05-#x0C0C] | [#x0C0E-#x0C10] | [#x0C12-#x0C28] | [#x0C2A-#x0C33] | [#x0C35-#x0C39] | [#x0C60-#x0C61] | [#x0C85-#x0C8C] | [#x0C8E-#x0C90] | [#x0C92-#x0CA8] | [#x0CAA-#x0CB3] | [#x0CB5-#x0CB9] | #x0CDE | [#x0CE0-#x0CE1] | [#x0D05-#x0D0C] | [#x0D0E-#x0D10] | [#x0D12-#x0D28] | [#x0D2A-#x0D39] | [#x0D60-#x0D61] | [#x0E01-#x0E2E] | #x0E30 | [#x0E32-#x0E33] | [#x0E40-#x0E45] | [#x0E81-#x0E82] | #x0E84 | [#x0E87-#x0E88] | #x0E8A | #x0E8D | [#x0E94-#x0E97] | [#x0E99-#x0E9F] | [#x0EA1-#x0EA3] | #x0EA5 | #x0EA7 | [#x0EAA-#x0EAB] | [#x0EAD-#x0EAE] | #x0EB0 | [#x0EB2-#x0EB3] | #x0EBD | [#x0EC0-#x0EC4] | [#x0F40-#x0F47] | [#x0F49-#x0F69] | [#x10A0-#x10C5] | [#x10D0-#x10F6] | #x1100 | [#x1102-#x1103] | [#x1105-#x1107] | #x1109 | [#x110B-#x110C] | [#x110E-#x1112] | #x113C | #x113E | #x1140 | #x114C | #x114E | #x1150 | [#x1154-#x1155] | #x1159 | [#x115F-#x1161] | #x1163 | #x1165 | #x1167 | #x1169 | [#x116D-#x116E] | [#x1172-#x1173] | #x1175 | #x119E | #x11A8 | #x11AB | [#x11AE-#x11AF] | [#x11B7-#x11B8] | #x11BA | [#x11BC-#x11C2] | #x11EB | #x11F0 | #x11F9 | [#x1E00-#x1E9B] | [#x1EA0-#x1EF9] | [#x1F00-#x1F15] | [#x1F18-#x1F1D] | [#x1F20-#x1F45] | [#x1F48-#x1F4D] | [#x1F50-#x1F57] | #x1F59 | #x1F5B | #x1F5D | [#x1F5F-#x1F7D] | [#x1F80-#x1FB4] | [#x1FB6-#x1FBC] | #x1FBE | [#x1FC2-#x1FC4] | [#x1FC6-#x1FCC] | [#x1FD0-#x1FD3] | [#x1FD6-#x1FDB] | [#x1FE0-#x1FEC] | [#x1FF2-#x1FF4] | [#x1FF6-#x1FFC] | #x2126 | [#x212A-#x212B] | #x212E | [#x2180-#x2182] | [#x3041-#x3094] | [#x30A1-#x30FA] | [#x3105-#x312C] | [#xAC00-#xD7A3]
[86]  Ideographic ::=  [#x4E00-#x9FA5] | #x3007 | [#x3021-#x3029]
[87]  CombiningChar ::=  [#x0300-#x0345] | [#x0360-#x0361] | [#x0483-#x0486] | [#x0591-#x05A1] | [#x05A3-#x05B9] | [#x05BB-#x05BD] | #x05BF | [#x05C1-#x05C2] | #x05C4 | [#x064B-#x0652] | #x0670 | [#x06D6-#x06DC] | [#x06DD-#x06DF] | [#x06E0-#x06E4] | [#x06E7-#x06E8] | [#x06EA-#x06ED] | [#x0901-#x0903] | #x093C | [#x093E-#x094C] | #x094D | [#x0951-#x0954] | [#x0962-#x0963] | [#x0981-#x0983] | #x09BC | #x09BE | #x09BF | [#x09C0-#x09C4] | [#x09C7-#x09C8] | [#x09CB-#x09CD] | #x09D7 | [#x09E2-#x09E3] | #x0A02 | #x0A3C | #x0A3E | #x0A3F | [#x0A40-#x0A42] | [#x0A47-#x0A48] | [#x0A4B-#x0A4D] | [#x0A70-#x0A71] | [#x0A81-#x0A83] | #x0ABC | [#x0ABE-#x0AC5] | [#x0AC7-#x0AC9] | [#x0ACB-#x0ACD] | [#x0B01-#x0B03] | #x0B3C | [#x0B3E-#x0B43] | [#x0B47-#x0B48] | [#x0B4B-#x0B4D] | [#x0B56-#x0B57] | [#x0B82-#x0B83] | [#x0BBE-#x0BC2] | [#x0BC6-#x0BC8] | [#x0BCA-#x0BCD] | #x0BD7 | [#x0C01-#x0C03] | [#x0C3E-#x0C44] | [#x0C46-#x0C48] | [#x0C4A-#x0C4D] | [#x0C55-#x0C56] | [#x0C82-#x0C83] | [#x0CBE-#x0CC4] | [#x0CC6-#x0CC8] | [#x0CCA-#x0CCD] | [#x0CD5-#x0CD6] | [#x0D02-#x0D03] | [#x0D3E-#x0D43] | [#x0D46-#x0D48] | [#x0D4A-#x0D4D] | #x0D57 | #x0E31 | [#x0E34-#x0E3A] | [#x0E47-#x0E4E] | #x0EB1 | [#x0EB4-#x0EB9] | [#x0EBB-#x0EBC] | [#x0EC8-#x0ECD] | [#x0F18-#x0F19] | #x0F35 | #x0F37 | #x0F39 | #x0F3E | #x0F3F | [#x0F71-#x0F84] | [#x0F86-#x0F8B] | [#x0F90-#x0F95] | #x0F97 | [#x0F99-#x0FAD] | [#x0FB1-#x0FB7] | #x0FB9 | [#x20D0-#x20DC] | #x20E1 | [#x302A-#x302F] | #x3099 | #x309A
[88]  Digit ::=  [#x0030-#x0039] | [#x0660-#x0669] | [#x06F0-#x06F9] | [#x0966-#x096F] | [#x09E6-#x09EF] | [#x0A66-#x0A6F] | [#x0AE6-#x0AEF] | [#x0B66-#x0B6F] | [#x0BE7-#x0BEF] | [#x0C66-#x0C6F] | [#x0CE6-#x0CEF] | [#x0D66-#x0D6F] | [#x0E50-#x0E59] | [#x0ED0-#x0ED9] | [#x0F20-#x0F29]
[89]  Extender ::=  #x00B7 | #x02D0 | #x02D1 | #x0387 | #x0640 | #x0E46 | #x0EC6 | #x3005 | [#x3031-#x3035] | [#x309D-#x309E] | [#x30FC-#x30FE]
-->
<production name="Letter" p="84">
  <Alt>
    <BaseChar/>
    <Ideographic/>
  </Alt>
</production>
<production name="BaseChar" p="85">
<Alt><c pattern="[#x0041-#x005A]"/> <c pattern="[#x0061-#x007A]"/> <c pattern="[#x00C0-#x00D6]"/> <c pattern="[#x00D8-#x00F6]"/> <c pattern="[#x00F8-#x00FF]"/> <c pattern="[#x0100-#x0131]"/> <c pattern="[#x0134-#x013E]"/> <c pattern="[#x0141-#x0148]"/> <c pattern="[#x014A-#x017E]"/> <c pattern="[#x0180-#x01C3]"/> <c pattern="[#x01CD-#x01F0]"/> <c pattern="[#x01F4-#x01F5]"/> <c pattern="[#x01FA-#x0217]"/> <c pattern="[#x0250-#x02A8]"/> <c pattern="[#x02BB-#x02C1]"/> <c hex="#x0386"/> <c pattern="[#x0388-#x038A]"/> <c hex="#x038C"/> <c pattern="[#x038E-#x03A1]"/> <c pattern="[#x03A3-#x03CE]"/> <c pattern="[#x03D0-#x03D6]"/> <c hex="#x03DA"/> <c hex="#x03DC"/> <c hex="#x03DE"/> <c hex="#x03E0"/> <c pattern="[#x03E2-#x03F3]"/> <c pattern="[#x0401-#x040C]"/> <c pattern="[#x040E-#x044F]"/> <c pattern="[#x0451-#x045C]"/> <c pattern="[#x045E-#x0481]"/> <c pattern="[#x0490-#x04C4]"/> <c pattern="[#x04C7-#x04C8]"/> <c pattern="[#x04CB-#x04CC]"/> <c pattern="[#x04D0-#x04EB]"/> <c pattern="[#x04EE-#x04F5]"/> <c pattern="[#x04F8-#x04F9]"/> <c pattern="[#x0531-#x0556]"/> <c hex="#x0559"/> <c pattern="[#x0561-#x0586]"/> <c pattern="[#x05D0-#x05EA]"/> <c pattern="[#x05F0-#x05F2]"/> <c pattern="[#x0621-#x063A]"/> <c pattern="[#x0641-#x064A]"/> <c pattern="[#x0671-#x06B7]"/> <c pattern="[#x06BA-#x06BE]"/> <c pattern="[#x06C0-#x06CE]"/> <c pattern="[#x06D0-#x06D3]"/> <c hex="#x06D5"/> <c pattern="[#x06E5-#x06E6]"/> <c pattern="[#x0905-#x0939]"/> <c hex="#x093D"/> <c pattern="[#x0958-#x0961]"/> <c pattern="[#x0985-#x098C]"/> <c pattern="[#x098F-#x0990]"/> <c pattern="[#x0993-#x09A8]"/> <c pattern="[#x09AA-#x09B0]"/> <c hex="#x09B2"/> <c pattern="[#x09B6-#x09B9]"/> <c pattern="[#x09DC-#x09DD]"/> <c pattern="[#x09DF-#x09E1]"/> <c pattern="[#x09F0-#x09F1]"/> <c pattern="[#x0A05-#x0A0A]"/> <c pattern="[#x0A0F-#x0A10]"/> <c pattern="[#x0A13-#x0A28]"/> <c pattern="[#x0A2A-#x0A30]"/> <c pattern="[#x0A32-#x0A33]"/> <c pattern="[#x0A35-#x0A36]"/> <c pattern="[#x0A38-#x0A39]"/>
<c pattern="[#x0A59-#x0A5C]"/> <c hex="#x0A5E"/> <c pattern="[#x0A72-#x0A74]"/> <c pattern="[#x0A85-#x0A8B]"/>
<c hex="#x0A8D"/> <c pattern="[#x0A8F-#x0A91]"/> <c pattern="[#x0A93-#x0AA8]"/> <c pattern="[#x0AAA-#x0AB0]"/> <c pattern="[#x0AB2-#x0AB3]"/> <c pattern="[#x0AB5-#x0AB9]"/> <c hex="#x0ABD"/> <c hex="#x0AE0"/> <c pattern="[#x0B05-#x0B0C]"/> <c pattern="[#x0B0F-#x0B10]"/> <c pattern="[#x0B13-#x0B28]"/> <c pattern="[#x0B2A-#x0B30]"/> <c pattern="[#x0B32-#x0B33]"/> <c pattern="[#x0B36-#x0B39]"/> <c hex="#x0B3D"/> <c pattern="[#x0B5C-#x0B5D]"/> <c pattern="[#x0B5F-#x0B61]"/> <c pattern="[#x0B85-#x0B8A]"/> <c pattern="[#x0B8E-#x0B90]"/> <c pattern="[#x0B92-#x0B95]"/> <c pattern="[#x0B99-#x0B9A]"/> <c hex="#x0B9C"/> <c pattern="[#x0B9E-#x0B9F]"/> <c pattern="[#x0BA3-#x0BA4]"/> <c pattern="[#x0BA8-#x0BAA]"/> <c pattern="[#x0BAE-#x0BB5]"/> <c pattern="[#x0BB7-#x0BB9]"/> <c pattern="[#x0C05-#x0C0C]"/> <c pattern="[#x0C0E-#x0C10]"/> <c pattern="[#x0C12-#x0C28]"/> <c pattern="[#x0C2A-#x0C33]"/> <c pattern="[#x0C35-#x0C39]"/> <c pattern="[#x0C60-#x0C61]"/> <c pattern="[#x0C85-#x0C8C]"/> <c pattern="[#x0C8E-#x0C90]"/> <c pattern="[#x0C92-#x0CA8]"/> <c pattern="[#x0CAA-#x0CB3]"/> <c pattern="[#x0CB5-#x0CB9]"/> <c hex="#x0CDE"/> <c pattern="[#x0CE0-#x0CE1]"/> <c pattern="[#x0D05-#x0D0C]"/> <c pattern="[#x0D0E-#x0D10]"/> <c pattern="[#x0D12-#x0D28]"/> <c pattern="[#x0D2A-#x0D39]"/> <c pattern="[#x0D60-#x0D61]"/> <c pattern="[#x0E01-#x0E2E]"/> <c hex="#x0E30"/> <c pattern="[#x0E32-#x0E33]"/> <c pattern="[#x0E40-#x0E45]"/> <c pattern="[#x0E81-#x0E82]"/> <c hex="#x0E84"/> <c pattern="[#x0E87-#x0E88]"/> <c hex="#x0E8A"/> <c hex="#x0E8D"/> <c pattern="[#x0E94-#x0E97]"/> <c pattern="[#x0E99-#x0E9F]"/> <c pattern="[#x0EA1-#x0EA3]"/> <c hex="#x0EA5"/> <c hex="#x0EA7"/> <c pattern="[#x0EAA-#x0EAB]"/> <c pattern="[#x0EAD-#x0EAE]"/> <c hex="#x0EB0"/> <c pattern="[#x0EB2-#x0EB3]"/> <c hex="#x0EBD"/> <c pattern="[#x0EC0-#x0EC4]"/> <c pattern="[#x0F40-#x0F47]"/> <c pattern="[#x0F49-#x0F69]"/> <c pattern="[#x10A0-#x10C5]"/> <c pattern="[#x10D0-#x10F6]"/> <c hex="#x1100"/>
<c pattern="[#x1102-#x1103]"/> <c pattern="[#x1105-#x1107]"/> <c hex="#x1109"/>
<c pattern="[#x110B-#x110C]"/> <c pattern="[#x110E-#x1112]"/> <c hex="#x113C"/> <c hex="#x113E"/> <c hex="#x1140"/> <c hex="#x114C"/> <c hex="#x114E"/> <c hex="#x1150"/> <c pattern="[#x1154-#x1155]"/> <c hex="#x1159"/> <c pattern="[#x115F-#x1161]"/> <c hex="#x1163"/> <c hex="#x1165"/> <c hex="#x1167"/> <c hex="#x1169"/> <c pattern="[#x116D-#x116E]"/> <c pattern="[#x1172-#x1173]"/> <c hex="#x1175"/> <c hex="#x119E"/> <c hex="#x11A8"/> <c hex="#x11AB"/> <c pattern="[#x11AE-#x11AF]"/> <c pattern="[#x11B7-#x11B8]"/> <c hex="#x11BA"/> <c pattern="[#x11BC-#x11C2]"/> <c hex="#x11EB"/> <c hex="#x11F0"/> <c hex="#x11F9"/> <c pattern="[#x1E00-#x1E9B]"/> <c pattern="[#x1EA0-#x1EF9]"/> <c pattern="[#x1F00-#x1F15]"/> <c pattern="[#x1F18-#x1F1D]"/> <c pattern="[#x1F20-#x1F45]"/> <c pattern="[#x1F48-#x1F4D]"/> <c pattern="[#x1F50-#x1F57]"/> <c hex="#x1F59"/> <c hex="#x1F5B"/> <c hex="#x1F5D"/> <c pattern="[#x1F5F-#x1F7D]"/> <c pattern="[#x1F80-#x1FB4]"/> <c pattern="[#x1FB6-#x1FBC]"/> <c hex="#x1FBE"/> <c pattern="[#x1FC2-#x1FC4]"/> <c pattern="[#x1FC6-#x1FCC]"/> <c pattern="[#x1FD0-#x1FD3]"/> <c pattern="[#x1FD6-#x1FDB]"/> <c pattern="[#x1FE0-#x1FEC]"/> <c pattern="[#x1FF2-#x1FF4]"/> <c pattern="[#x1FF6-#x1FFC]"/> <c hex="#x2126"/> <c pattern="[#x212A-#x212B]"/> <c hex="#x212E"/> <c pattern="[#x2180-#x2182]"/> <c pattern="[#x3041-#x3094]"/> <c pattern="[#x30A1-#x30FA]"/> <c pattern="[#x3105-#x312C]"/> <c pattern="[#xAC00-#xD7A3]"/>
</Alt>
</production>
<production name="Ideographic" p="86">
<Alt>[#x4E00-#x9FA5]"/><c hex="#x3007"/><c pattern="[#x3021-#x3029]"/></Alt>
</production>
<production name="CombiningChar" p="87">
<Alt><c pattern="[#x0300-#x0345]"/><c pattern="[#x0360-#x0361]"/><c pattern="[#x0483-#x0486]"/><c pattern="[#x0591-#x05A1]"/><c pattern="[#x05A3-#x05B9]"/><c pattern="[#x05BB-#x05BD]"/><c hex="#x05BF"/><c pattern="[#x05C1-#x05C2]"/><c hex="#x05C4"/><c pattern="[#x064B-#x0652]"/><c hex="#x0670"/><c pattern="[#x06D6-#x06DC]"/><c pattern="[#x06DD-#x06DF]"/><c pattern="[#x06E0-#x06E4]"/><c pattern="[#x06E7-#x06E8]"/><c pattern="[#x06EA-#x06ED]"/><c pattern="[#x0901-#x0903]"/><c hex="#x093C"/><c pattern="[#x093E-#x094C]"/><c hex="#x094D"/><c pattern="[#x0951-#x0954]"/><c pattern="[#x0962-#x0963]"/><c pattern="[#x0981-#x0983]"/><c hex="#x09BC"/><c hex="#x09BE"/><c hex="#x09BF"/><c pattern="[#x09C0-#x09C4]"/><c pattern="[#x09C7-#x09C8]"/><c pattern="[#x09CB-#x09CD]"/><c hex="#x09D7"/><c pattern="[#x09E2-#x09E3]"/><c hex="#x0A02"/><c hex="#x0A3C"/><c hex="#x0A3E"/><c hex="#x0A3F"/><c pattern="[#x0A40-#x0A42]"/><c pattern="[#x0A47-#x0A48]"/><c pattern="[#x0A4B-#x0A4D]"/><c pattern="[#x0A70-#x0A71]"/><c pattern="[#x0A81-#x0A83]"/><c hex="#x0ABC"/><c pattern="[#x0ABE-#x0AC5]"/><c pattern="[#x0AC7-#x0AC9]"/><c pattern="[#x0ACB-#x0ACD]"/><c pattern="[#x0B01-#x0B03]"/><c hex="#x0B3C"/><c pattern="[#x0B3E-#x0B43]"/><c pattern="[#x0B47-#x0B48]"/><c pattern="[#x0B4B-#x0B4D]"/><c pattern="[#x0B56-#x0B57]"/><c pattern="[#x0B82-#x0B83]"/><c pattern="[#x0BBE-#x0BC2]"/><c pattern="[#x0BC6-#x0BC8]"/><c pattern="[#x0BCA-#x0BCD]"/><c hex="#x0BD7"/><c pattern="[#x0C01-#x0C03]"/><c pattern="[#x0C3E-#x0C44]"/><c pattern="[#x0C46-#x0C48]"/><c pattern="[#x0C4A-#x0C4D]"/><c pattern="[#x0C55-#x0C56]"/><c pattern="[#x0C82-#x0C83]"/><c pattern="[#x0CBE-#x0CC4]"/><c pattern="[#x0CC6-#x0CC8]"/><c pattern="[#x0CCA-#x0CCD]"/><c pattern="[#x0CD5-#x0CD6]"/><c pattern="[#x0D02-#x0D03]"/><c pattern="[#x0D3E-#x0D43]"/><c pattern="[#x0D46-#x0D48]"/><c pattern="[#x0D4A-#x0D4D]"/><c hex="#x0D57"/><c hex="#x0E31"/><c pattern="[#x0E34-#x0E3A]"/><c pattern="[#x0E47-#x0E4E]"/><c hex="#x0EB1"/><c pattern="[#x0EB4-#x0EB9]"/><c pattern="[#x0EBB-#x0EBC]"/><c pattern="[#x0EC8-#x0ECD]"/><c pattern="[#x0F18-#x0F19]"/><c hex="#x0F35"/><c hex="#x0F37"/><c hex="#x0F39"/><c hex="#x0F3E"/><c hex="#x0F3F"/><c pattern="[#x0F71-#x0F84]"/><c pattern="[#x0F86-#x0F8B]"/><c pattern="[#x0F90-#x0F95]"/><c hex="#x0F97"/><c pattern="[#x0F99-#x0FAD]"/><c pattern="[#x0FB1-#x0FB7]"/><c hex="#x0FB9"/><c pattern="[#x20D0-#x20DC]"/><c hex="#x20E1"/><c pattern="[#x302A-#x302F]"/><c hex="#x3099"/><c hex="#x309A"/>
</Alt>
</production>
<production name="Digit" p="88">
<Alt><c pattern="[#x0030-#x0039]"/><c pattern="[#x0660-#x0669]"/><c pattern="[#x06F0-#x06F9]"/><c pattern="[#x0966-#x096F]"/><c pattern="[#x09E6-#x09EF]"/><c pattern="[#x0A66-#x0A6F]"/><c pattern="[#x0AE6-#x0AEF]"/><c pattern="[#x0B66-#x0B6F]"/><c pattern="[#x0BE7-#x0BEF]"/><c pattern="[#x0C66-#x0C6F]"/><c pattern="[#x0CE6-#x0CEF]"/><c pattern="[#x0D66-#x0D6F]"/><c pattern="[#x0E50-#x0E59]"/><c pattern="[#x0ED0-#x0ED9]"/><c pattern="[#x0F20-#x0F29]"/>
</Alt>
</production>
<production name="Extender" p="89">
<Alt><c hex="#x00B7"/><c hex="#x02D0"/><c hex="#x02D1"/><c hex="#x0387"/><c hex="#x0640"/><c hex="#x0E46"/><c hex="#x0EC6"/><c hex="#x3005"/><c pattern="[#x3031-#x3035]"/><c pattern="[#x309D-#x309E]"/><c pattern="[#x30FC-#x30FE]"/>
</Alt>
</production>
<constraints>
 <WFC
     name="Element_Type_Match"
     test="element[STag/Name = ETag/Name]"/>
 <WFC name="PEs_in_Internal_Subset"
  test="doctypedecl//PEReference[localName(../..)='doctypedecl']"/>
  <!-- needs work!!! -->
 <WFC name="Unique_Att_Spec"
  test="not(STTag/Attribute/Name[1]) or EmptyElemTag/Attribute/Name[1]"/>
<WFC name="No_External_Entity_References"
  test="not(Attribute//ExtEntRef)"/>
</constraints>
</rdf:Description>
<rdf:Description
  rdf:about="http://www.w3.org/TR/REC-xml-names/"
  xmlns="http://www.openhealth.org/property-set-production-language"
  xmlns:p="http://www.openhealth.org/property-set-production-language"
>
<!--
Attribute Names for Namespace Declaration
[1]  NSAttName ::=  PrefixedAttName
   | DefaultAttName
[2]  PrefixedAttName ::=  'xmlns:' NCName [  NSC: Leading "XML" ]
[3]  DefaultAttName ::=  'xmlns'
[4]  NCName ::=  (Letter | '_') (NCNameChar)* /*  An XML Name, minus the ":" */
[5]  NCNameChar ::=  Letter | Digit | '.' | '-' | '_' | CombiningChar | Extender
-->
<production name="NSAttName" p="1">
  <Alt><PrefixedAttName/><DefaultAttName/>
  </Alt>
</production>
<production name="PrefixedAttName" p="2" NSC="Leading_XML">
  <Seq>
    <string value="xmlns:"/>
    <NCName/>
  </Seq>
</production>
<production name="DefaultAttName" p="3">
 <string value="xmlns"/>
</production>
<production name="NCName" p="4">
  <Seq>
    <Alt>
      <Letter/>
      <c char="_"/>
    </Alt>
    <NCNameChar occurs="*"/>
  </Seq>
</production>
<production name="NCNameChar" p="5">
  <Alt>
    <Letter/>
    <Digit/>
    <c char="."/>
    <c char="-"/>
    <c char="_"/>
    <CombiningChar/>
    <Extender/>
  </Alt>
  <!-- <Name><exclude><c char=":"/></exclude></Name> -->
</production>
<!-- Qualified Name
[6]  QName ::=  (Prefix ':')? LocalPart
[7]  Prefix ::=  NCName
[8]  LocalPart ::=  NCName
-->
<production name="QName" p="6">
  <Seq>
    <Seq occurs="?">
      <Prefix/>
      <c char=":"/>
    </Seq>
    <LocalPart/>
  </Seq>
</production>
<production name="Prefix" p="7">
  <NCName/>
</production>
<production name="LocalPart" p="8">
  <NCName/>
</production>
<!-- Element Types
[9]  STag ::=  '<' QName (S Attribute)* S? '>'  [  NSC: Prefix Declared ]
[10]  ETag ::=  '</' QName S? '>' [  NSC: Prefix Declared ]
[11]  EmptyElemTag ::=  '<' QName (S Attribute)* S? '/>' [  NSC: Prefix Declared ]
-->
<production name="STag" p="9" NSC="Prefix_Declared">
<Seq>
  <c char="&lt;"/>
  <QName />
  <Seq occurs="*">
    <S/>
    <Attribute/>
  </Seq>
  <S occurs="?"/>
  <c char=">"/>
</Seq>
</production>
<production name="ETag" p="10" NSC="Prefix_Declared">
<Seq>
  <c char="&lt;"/>
  <c char="/"/>
  <QName />
  <S occurs="?" />
  <c char=">"/>
</Seq>
</production>
<production name="EmptyElemTag" p="11"
  NSC="Prefix_Declared">
  <Seq>
    <c char="&lt;"/>
    <QName/>
    <Seq occurs="*">
      <S/>
      <Attribute/>
    </Seq>
    <S occurs="?"/>
    <c char="/"/>
    <c char=">"/>
  </Seq>
</production>
<!-- Attribute
[12]  Attribute ::=  NSAttName Eq AttValue
   | QName Eq AttValue [  NSC: Prefix Declared ]
 -->
<production name="Attribute" p="12" NSC="Prefix_Declared">
<Alt>
<Seq>
  <NSAttName/>
  <Eq/>
  <AttValue/>
</Seq>
<Seq>
  <QName/>
  <Eq/>
  <AttValue/>
</Seq>
</Alt>
</production>
<!-- Qualified Names in Declarations
[13]  doctypedecl ::=  '<!DOCTYPE' S QName (S ExternalID)? S? ('[' (markupdecl | PEReference | S)* ']' S?)? '>'
[14]  elementdecl ::=  '<!ELEMENT' S QName S contentspec S? '>'
[15]  cp ::=  (QName | choice | seq) ('?' | '*' | '+')?
[16]  Mixed ::=  '(' S? '#PCDATA' (S? '|' S? QName)* S? ')*'
   | '(' S? '#PCDATA' S? ')'
[17]  AttlistDecl ::=  '<!ATTLIST' S QName AttDef* S? '>'
[18]  AttDef ::=  S (QName | NSAttName) S AttType S DefaultDecl
-->
<production name="doctypedecl" p="13">
 <Seq>
  <string value="&lt;!DOCTYPE" />
  <S />
  <QName />
  <Seq occurs="?">
    <S /><ExternalID />
  </Seq>
  <S occurs="?"/>
  <Seq>
   <c char="["/>
   <Alt occurs="*">
    <markupdecl />
  <PEReference />
  <S />
   </Alt>
   <c char="]"/>
  </Seq>
 </Seq>
</production>
<production name="elementdecl" p="14">
<Seq>
  <string value="&lt;!ELEMENT"/>
  <S/>
  <QName/>
  <S/>
  <contentspec/>
  <S occurs="?"/>
  <c char=">"/>
</Seq>
</production>
<production name="cp" p="15">
<Seq>
 <Alt>
  <QName />
  <choice/>
  <seq/>
 </Alt>
 <Alt occurs="?">
  <c char="*"/>
  <c char="+"/>
  <c char="?"/>
 </Alt>
</Seq>
</production>
<production name="Mixed" p="16">
<Seq>
 <c char="("/>
 <S occurs="?"/>
 <string value="#PCDATA"/>
 <Seq occurs="*">
  <S occurs="?"/>
  <c char="|"/>
  <S occurs="?"/>
  <QName/>
 </Seq>
 <S occurs="?"/>
 <c char=")"/>
 <c char="*"/>
</Seq>
</production>
<production name="AttlistDecl" p="17">
<Seq>
  <string value="&lt;!ATTLIST"/>
  <S/>
  <QName />
  <AttDef occurs="*"/>
  <S occurs="?"/>
  <c char=">"/>
</Seq>
</production>
<production name="AttDef" p="18">
<Seq>
  <S/>
  <QName />
  <S/>
  <AttType/>
  <S/>
  <DefaultDecl/>
</Seq>
</production>
</rdf:Description>
<rdf:Description rdf:about="http://www.ietf.org/rfc/rfc2396.txt">
<!--
      URI-reference = [ absoluteURI | relativeURI ] [ "#" fragment ]
      absoluteURI   = scheme ":" ( hier_part | opaque_part )
      relativeURI   = ( net_path | abs_path | rel_path ) [ "?" query ]
      hier_part     = ( net_path | abs_path ) [ "?" query ]
      opaque_part   = uric_no_slash *uric
      uric_no_slash = unreserved | escaped | ";" | "?" | ":" | "@" |
                      "&" | "=" | "+" | "$" | ","
      net_path      = "//" authority [ abs_path ]
      abs_path      = "/"  path_segments
      rel_path      = rel_segment [ abs_path ]
      rel_segment   = 1*( unreserved | escaped |
                          ";" | "@" | "&" | "=" | "+" | "$" | "," )
-->
<production name="URIReference" p="1">
  <Seq>
    <Alt>
      <absoluteURI/>
      <relativeURI/>
    </Alt>
    <Seq occurs="?">
      <c char="#"/>
      <fragment/>
    </Seq>
  </Seq>
</production>
<production name="absoluteURI" p="2">
  <Seq>
    <scheme/>
    <c char=":"/>
    <Alt>
      <heirPart/>
      <opaquePart/>
    </Alt>
  </Seq>
</production>
<production name="heir_part" p="3">
  <Seq>
    <Alt>
      <net_path/>
      <abs_path/>
    </Alt>
    <Seq occurs="?">
      <c char="?"/>
      <query/>
    </Seq>
  </Seq>
</production>
<production name="opaque_part" p="4">
  <Seq>
    <uric_no_slash occurs="*"/>
    <uric/>
  </Seq>
</production>
<production name="uric_no_slash" p="5">
  <Alt>
    <unreserved/><escaped/>
    <c char=";"/><c char="?"/><c char=":"/>
    <c char="@"/><c char="&amp;"/><c char="="/>
    <c char="+"/><c char="$"/><c char=","/>
  </Alt>
</production>
<production name="net_path" p="6">
  <Seq>
    <c char="/"/>
    <c char="/"/>
    <authority/>
    <abs_path occurs="?"/>
  </Seq>
</production>
<production name="abs_path" p="7">
  <Seq>
    <c char="/"/>
    <path_seqments/>
  </Seq>
</production>
<production name="rel_path" p="8">
  <Seq>
    <rel_segment/>
    <abs_path occurs="?"/>
  </Seq>
</production>
<production name="rel_segment" p="9">
<!--     rel_segment   = 1*( unreserved | escaped |
                          ";" | "@" | "&" | "=" | "+" | "$" | "," )
-->
  <Alt occurs="+">
    <unreserved/><escaped/>
    <c char=";"/><c char="@"/>
    <c char="&amp;"/><c char="="/><c char="+"/><c char="$"/><c char=","/>
  </Alt>
</production>
<!--
    scheme        = alpha *( alpha | digit | "+" | "-" | "." )
      authority     = server | reg_name
      reg_name      = 1*( unreserved | escaped | "$" | "," |
                          ";" | ":" | "@" | "&" | "=" | "+" )
      server        = [ [ userinfo "@" ] hostport ]
-->
<production name="scheme" p="10">
  <Seq>
    <alpha/>
    <Alt occurs="*">
      <alpha/>
      <digit />
      <c char="+"/>
      <c char="-"/>
      <c char="."/>
    </Alt>
  </Seq>
</production>
<production name="authority" p="11">
  <Alt>
    <server />
    <reg_name />
  </Alt>
</production>
<production name="reg_name" p="12">
  <Alt occurs="+">
    <unreserved/><escaped/>
    <c char="$"/><c char=","/>
    <c char=";"/><c char=":"/>
    <c char="@"/><c char="&amp;"/>
    <c char="="/><c char="+"/>
  </Alt>
</production>
<production name="server" p="13">
  <Seq occurs="?">
    <Seq occurs="?">
      <userinfo />
      <c char="@"/>
    </Seq>
    <hostport/>
  </Seq>
</production>
<!--
      userinfo      = *( unreserved | escaped |
                         ";" | ":" | "&" | "=" | "+" | "$" | "," )

      hostport      = host [ ":" port ]
      host          = hostname | IPv4address
      hostname      = *( domainlabel "." ) toplabel [ "." ]
-->
<production name="userinfo" p="14">
  <Alt occurs="*">
    <unreserved/><escaped/>
    <c char=";"/><c char=":"/>
    <c char="&amp;"/><c char="="/>
    <c char="+"/><c char="$"/><c char=","/>
  </Alt>
</production>
<production name="hostport" p="15">
  <Seq>
    <host/>
    <Seq occurs="?">
      <c char=":"/>
      <port/>
    </Seq>
  </Seq>
</production>
<production name="userinfo" p="16">
  <Alt>
    <hostname/>
    <IPv4address/>
  </Alt>
</production>
<production name="hostname" p="17">
  <Seq>
    <Seq occurs="*">
      <domainlabel/>
      <c char="."/>
    </Seq>
    <toplabel/>
    <c char="." occurs="?"/>
  </Seq>
</production>
<!--
      domainlabel   = alphanum | alphanum *( alphanum | "-" ) alphanum
      toplabel      = alpha | alpha *( alphanum | "-" ) alphanum
      IPv4address   = 1*digit "." 1*digit "." 1*digit "." 1*digit
      port          = *digit
-->
<production name="domainlabel" p="18">
  <Alt>
    <alphanum/>
    <Seq>
      <alphanum/>
      <Alt occurs="*">
        <alphanum/>
        <c char="-"/>
      </Alt>
      <alphanum/>
    </Seq>
  </Alt>
</production>
<production name="toplabel" p="19">
  <Alt>
    <alpha/>
    <Seq>
      <alpha/>
      <Alt occurs="*">
        <alphanum/>
        <c char="-"/>
      </Alt>
      <alphanum/>
    </Seq>
  </Alt>
</production>
<production name="IPv4address" p="20">
  <Seq>
    <digit/>
    <c char="."/>
    <digit/>
    <c char="."/>
    <digit/>
    <c char="."/>
    <digit/>
  </Seq>
</production>
<production name="port" p="21">
  <digit occurs="*"/>
</production>
<!--
      path          = [ abs_path | opaque_part ]
      path_segments = segment *( "/" segment )
      segment       = *pchar *( ";" param )
      param         = *pchar
      pchar         = unreserved | escaped |
                      ":" | "@" | "&" | "=" | "+" | "$" | ","
      query         = *uric
      fragment      = *uric
      uric          = reserved | unreserved | escaped
      reserved      = ";" | "/" | "?" | ":" | "@" | "&" | "=" | "+" |
                      "$" | ","
      unreserved    = alphanum | mark
      mark          = "-" | "_" | "." | "!" | "~" | "*" | "'" |
                      "(" | ")"
      escaped       = "%" hex hex
      hex           = digit | "A" | "B" | "C" | "D" | "E" | "F" |
                              "a" | "b" | "c" | "d" | "e" | "f"
      alphanum      = alpha | digit
      alpha         = lowalpha | upalpha
      lowalpha = "a" | "b" | "c" | "d" | "e" | "f" | "g" | "h" | "i" |
                 "j" | "k" | "l" | "m" | "n" | "o" | "p" | "q" | "r" |
                 "s" | "t" | "u" | "v" | "w" | "x" | "y" | "z"
      upalpha  = "A" | "B" | "C" | "D" | "E" | "F" | "G" | "H" | "I" |
                 "J" | "K" | "L" | "M" | "N" | "O" | "P" | "Q" | "R" |
                 "S" | "T" | "U" | "V" | "W" | "X" | "Y" | "Z"
      digit    = "0" | "1" | "2" | "3" | "4" | "5" | "6" | "7" |
                 "8" | "9"
-->
<production name="path" p="22">
  <Alt occurs="?"><abs_path/><opaque_part/></Alt>
</production>
<production name="path_segments" p="23">
  <Seq>
    <segment/>
    <Seq occurs="*">
      <c char="/"/>
      <segment/>
    </Seq>
  </Seq>
</production>
<production name="segment" p="24">
  <Seq><pchar occurs="*"/>
    <Seq occurs="*">
      <c char=";"/>
      <param/>
    </Seq>
  </Seq>
</production>
<production name="param" p="25">
  <pchar occurs="*"/>
</production>
<production name="pchar" p="26">
  <Alt>
    <unreserved/><escaped/>
        <c char=":"/> <c char="@"/> <c char="&amp;"/>
    <c char="="/> <c char="+"/> <c char="$"/> <c char=","/>
  </Alt>
</production>
<production name="query" p="27">   <uric occurs="*"/>
</production>
<production name="fragment" p="28">   <uric occurs="*"/>
</production>
<production name="uric" p="29">
  <Alt><reserved/><unreserved/><escaped/></Alt>
  </production>
<production name="reserved" p="30">
  <Alt>
      <c char=";"/><c char="/"/><c char="?"/>
      <c char=":"/><c char="@"/><c char="&amp;"/>
      <c char="="/> <c char="+"/>
            <c char="$"/> <c char=","/>
  </Alt>
</production>
<production name="unreserved" p="31">
  <Alt><alphanum/><mark/></Alt>
</production>
<production name="mark" p="32">
  <Alt>
    <c char="-"/> <c char="_"/>
    <c char="."/> <c char="!"/>
    <c char="~"/> <c char="*"/> <c char="'"/>
                      <c char="("/><c char=")"/>
  </Alt>
</production>
<production name="escaped" p="33">
  <Seq><c char="%"/><hex/><hex/></Seq>
</production>
<production name="hex" p="">
  <Alt>
    <digit/> <c char="A"/> <c char="B"/> <c char="C"/> <c char="D"/> <c char="E"/> <c char="F"/>
        <c char="a"/> <c char="b"/> <c char="c"/> <c char="d"/> <c char="e"/> <c char="f"/>
  </Alt>
</production>
<production name="alphanum" p="34">
  <Alt><alpha/><digit/></Alt>
</production>
<production name="alpha" p="35">
  <Alt><lowalpha/> <upalpha/></Alt>
</production>
<production name="lowalpha" p="36">
  <Alt>
    <c char="a"/> <c char="b"/> <c char="c"/> <c char="d"/> <c char="e"/> <c char="f"/> <c char="g"/> <c char="h"/> <c char="i"/>
                 <c char="j"/> <c char="k"/> <c char="l"/> <c char="m"/> <c char="n"/> <c char="o"/> <c char="p"/> <c char="q"/> <c char="r"/>
                 <c char="s"/> <c char="t"/> <c char="u"/> <c char="v"/> <c char="w"/> <c char="x"/> <c char="y"/> <c char="z"/>
  </Alt>
</production>
<production name="upalpha" p="37">
  <Alt>
    <c char="A"/> <c char="B"/> <c char="C"/> <c char="D"/> <c char="E"/> <c char="F"/> <c char="G"/> <c char="H"/> <c char="I"/>
        <c char="J"/> <c char="K"/> <c char="L"/> <c char="M"/> <c char="N"/> <c char="O"/> <c char="P"/> <c char="Q"/> <c char="R"/>
       <c char="S"/> <c char="T"/> <c char="U"/> <c char="V"/> <c char="W"/> <c char="X"/> <c char="Y"/> <c char="Z"/>
  </Alt>
</production>
<production name="digit" p="38">
  <Alt>
    <c char="0"/> <c char="1"/> <c char="2"/> <c char="3"/> <c char="4"/> <c char="5"/> <c char="6"/> <c char="7"/>
        <c char="8"/> <c char="9"/>
  </Alt>
</production>
</rdf:Description>
</rdf:RDF>
